1. Lead
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
      • Create a new subsequence
      • List campaigns (deprecated)
      • List all campaigns
      • Get campaign name
      • Get campaign status
      • Get campaign email accounts
      • Get campaign emails
      • Get campaign variation stats
      • Set campaign name
      • Set campaign Schedules (deprecated)
      • Activate campaign
      • Pause campaign
      • Update Campaign
      • Delete or archive a campaign
    • Lead
      • Add leads to a campaign
        POST
      • Add leads to a subsequence campaign
        POST
      • Get or search for lead
        GET
      • Delete leads from a campaign
        POST
      • Lead Variable/Label Update or Add
        POST
      • Fetch workspace leads
        GET
      • Update the status of a lead
        POST
      • Get lead counts by status
        GET
    • Email Account
      • List all email accounts in the workspace
      • Get email account status
      • Check account vitals
      • Enable Email account warmup
      • Pause Email account warmup
      • Delete Email account
      • Get Warmup Stats (Workspace-Level)
      • Bulk Add SMTP Accounts
      • Bulk Update Email Accounts
      • Bulk Update Email Account Warmup Status
      • Bulk Assign/Remove Tags from Email Accounts
      • Bulk reconnect email accounts
      • Get email account stats for a date range
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
    • List all email accounts in the workspace
    • Check if an email exists in another workspace
    • Initiate Google OAuth login flow
    • Initiate Microsoft OAuth login flow
    • Bulk Add SMTP Accounts (via Username and Password)
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. Lead

Fetch workspace leads

GET
https://api.plusvibe.ai/api/v1/lead/workspace-leads
Retrieve a list of leads based on specified filters like status, campaign, and more.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200OK
application/json
A list of leads matching the filters.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plusvibe.ai/api/v1/lead/workspace-leads?workspace_id=undefined&campaign_id=undefined&status=undefined&label=undefined&email=undefined&first_name=undefined&last_name=undefined&page=undefined&limit=undefined&sort=undefined&direction=undefined' \
--header 'x-api-key: <api-key>'
Response Response Example
{
    "_id": "66eee7889475e631ac0d156c",
    "organization_id": "65099a0dd96fae8ab61130bf",
    "campaign_id": "66eee42f9475e631ac0d1568",
    "workspace_id": "65099a0dd96fae8ab61130c0",
    "is_completed": 1,
    "current_step": 1,
    "email_account_id": "string",
    "created_at": "2024-09-14T06:29:55.185Z",
    "modified_at": "2024-09-14T06:29:55.185Z",
    "status": "SKIPPED",
    "label": "string",
    "email_acc_name": "string",
    "camp_name": "Campaign Name Example",
    "sent_step": 0,
    "replied_count": 0,
    "opened_count": 0,
    "last_sent_at": "2019-08-24T14:15:22.123Z",
    "is_mx": -1,
    "mx": "string",
    "seg": "string",
    "email": "lead@abc.com",
    "first_name": "string",
    "last_name": "string",
    "address_line": "200 Park Ave",
    "city": "New York",
    "state": "string",
    "country": "string",
    "country_code": "string",
    "phone_number": "(021) 765-3710",
    "job_title": "string",
    "department": "string",
    "company_name": "ACME Company",
    "company_website": "https://company.com",
    "industry": "string",
    "linkedin_person_url": "string",
    "linkedin_company_url": "string",
    "total_steps": 4,
    "bounce_msg": "string"
}
Modified at 2026-07-24 16:34:04
Previous
Lead Variable/Label Update or Add
Next
Update the status of a lead
Built with